[CLOSED] No more automatic updates & no more pamac launching

First check the forums - Do not know where to put it then put it here
User avatar
thierry
Crewman
Posts: 12
Joined: Sat May 26, 2018 4:52 am

Re: [CLOSED] No more automatic updates & no more pamac launching

Post by thierry »

I run arco linux since may 2018 and so far i have never faced any problem with installing new packages or with running pamac and installing packages through it.

>> Today it seems I am unable to install any new package even through pacman :
As I already wrote previously, when I type

Code: Select all

sudo pacman -S yay-bin
I get
erreur : impossible de trouver la cible : yay-bin
("error : target not found : yay-bin")

And even through "yaourt" which is installed on my system :
When I type

Code: Select all

yaourt -S yay-bin pamac-aur
I get
package-query: error while loading shared libraries: libalpm.so.11: cannot open shared object file: No such file or directory
package-query: error while loading shared libraries: libalpm.so.11: cannot open shared object file: No such file or directory


I am willing well to install yay-bin or pamac-aur through a possible alternative method (ie without using pacman or yaourt which don't work) if explained.

Since my very beginning with arcolinux I have never experienced any problem of any kind with aur packages or pacman packages.

I didn't find any helpful tip in in phase 5.

I would like to know how to fix this package-installation problem which doesn't seem to come from aur packages only but concerns pure pacman packages too.
Can you please tell me how to solve this "package-query" error and this problem with libalpm.so.11 and these target-packages not found.

The problem cannot comes from a bad final configuration since, so far, packages installation has always worked flawlessly.

Thank you for your help.
Thierry

User avatar
erikdubois
Captain
Posts: 3406
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [OPEN] No more automatic updates & no more pamac launching

Post by erikdubois »

thierry wrote:
Sun Oct 27, 2019 11:55 am
I first installed arcolinux on this PC in may 2018 and kept it rolling since then with regular daily updates.

Here is the neofetch command output :

Code: Select all

neofetch
/-
ooo:
yoooo/
yooooooo
yooooooooo
yooooooooooo
.yooooooooooooo
.oooooooooooooooo
.oooooooarcoooooooo thierry@Lenovo-G50-45
.ooooooooo-oooooooooo ---------------------
.ooooooooo- oooooooooo OS: Arch rolling
:ooooooooo. :ooooooooo Kernel: 5.3.7-arch1-1-ARCH
:ooooooooo. :ooooooooo Memory: 1381MiB / 10940MiB
:oooarcooo .oooarcooo Uptime: 2 mins
:ooooooooy .ooooooooo Packages: 1693 (pacman)
:ooooooooo /ooooooooooooooooooo Shell: bash 5.0.11
:ooooooooo .-ooooooooooooooooo. Resolution: 1366x768
ooooooooo- -ooooooooooooo. WM: Xfwm4
ooooooooo- .-oooooooooo. WM Theme: Wallis
ooooooooo. -ooooooooo Theme: Arc-Dark
Icons: Obsidian-Amber
Terminal: guake
CPU: AMD A6-6310 APU with AMD Radeon R4 Graphics (4) @ 1.800GHz
GPU: AMD ATI Radeon R4/R5 Graphics
I think that the major problem is pointed out with the error message when trying to launch pamac :

Code: Select all

pamac
output :
pamac: error while loading shared libraries: libalpm.so.11: cannot open shared object file: No such file or directory
So it seems there is something broken with the "libalpm.so.11" libraries.

But I am unable to solve it by myself.

Thank you for the help.
You say you run ArcoLinux now but your screen output suggests you are on Arch Linux.

This is important or we will make the wrong assumptions.

Are you on ArcoLinux or not?
We all have yay-bin with a simple command

Code: Select all

sudo pacman -S yay-bin
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

User avatar
erikdubois
Captain
Posts: 3406
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [OPEN] No more automatic updates & no more pamac launching

Post by erikdubois »

take a look at this.

This is a video how to install yay-bin from the AUR.

Assuming you are on Arch Linux.



This will surely help you...
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

ramox
Crewman
Posts: 4
Joined: Sun Jul 15, 2018 9:40 pm

Re: [OPEN] No more automatic updates & no more pamac launching

Post by ramox »

Hi,
I have the same problem with automatic update.
OS: ArcoLinux 6.9.1
Kernel: 5.4.12-arch1-1
Uptime: 1 hour, 28 mins
Packages: 1498 (pacman)
Shell: bash 5.0.11
DE: Xfce

User avatar
erikdubois
Captain
Posts: 3406
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:

Re: [OPEN] No more automatic updates & no more pamac launching

Post by erikdubois »

This is an old post.

Make your own topic if you need it.

But our up-to-date computers here have no issue what so ever.

So I guess you have to update your packages.

Clean out the ~/.cache/yay folder and build them again with yay
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.

Post Reply

Return to “General Questions”